TechDraw RadiusDimension/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/ru |Name=TechDraw Dimension Radius |Name/ru=TechDraw Dimension Radius |Workbenches=TechDraw |MenuLocation=TechDraw → Dimension Radius |...")
 
(Updating to match new version of source page)
Line 39: Line 39:
}}
}}
==Notes==
==Notes==
* All Dimensions are extremely vulnerable to the infamous "topological naming" issue. It is not possible at this time to keep references to 2D (projected) or 3D (actual) geometrical objects in sync with changes in the model. It is recommended that Dimensions be added towards the end of the drawing creation process.
* None at this time

{{clear}}
{{clear}}
<languages/>
<languages/>

Revision as of 18:15, 11 January 2017

TechDraw Dimension Radius

Системное название
TechDraw Dimension Radius
Расположение в меню
TechDraw → Dimension Radius
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Нет

Description

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc.

How to use

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the File:Dimension Radius.png Dimension Radius button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

  • ДанныеX: Horizontal position of the dimension text relative to the View.
  • ДанныеY: Vertical position of the dimension text relative to the View.
  • ДанныеFont: The name of the font to use for the dimension text.
  • ДанныеFontsize: Dimension text size in mm.
  • ДанныеFormatSpec: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
  • ДанныеLineWidth: Dimension line weight.
  • ДанныеType: Length,radius,diameter, etc. Not normally manipulated by the end user.
  • ДанныеMeasureType: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.

Scripting

Radius dimensions can be added to Pages using Python.

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)

Notes

  • All Dimensions are extremely vulnerable to the infamous "topological naming" issue. It is not possible at this time to keep references to 2D (projected) or 3D (actual) geometrical objects in sync with changes in the model. It is recommended that Dimensions be added towards the end of the drawing creation process.
Other languages: